<template>
  <div class="bottom-padding-20">
    <ArticleHero
      v-for="(article, index) in articles"
      :key="index"
      :articleOne="article.articleOne"
      :articleTwo="article.articleTwo"
      :articleThree="article.articleThree">
    </ArticleHero>
  </div>
</template>

<script>
/* eslint-disable global-require */
import ArticleHero from './ArticleHero';

export default {
  name: 'Articles',
  components: { ArticleHero },
  data() {
    return {
      articles: [
        {
          articleOne: {
            title: 'Audi e-tron',
            subtitle: 'Pierwszy w pełni elektryczny model Audi',
            picture: require('../assets/articles-images/hero-audi-etron.jpg'),
          },
          articleTwo: {
            title: 'Nowe Audi A6 Avant',
            subtitle: 'Wyposażone w inteligentne technologie Audi AI',
            picture: require('../assets/articles-images/hero-audi-a6-avant.jpg'),
          },
          articleThree: {
            title: 'Nowe Audi Q8',
            subtitle: 'Witaj w ósmym wymiarze',
            picture: require('../assets/articles-images/hero-audi-q8.jpg'),
          },
        },
        {
          articleOne: {
            title: '2 Audi e-tron',
            subtitle: '2 Pierwszy w pełni elektryczny model Audi',
            picture: require('../assets/articles-images/hero-audi-etron.jpg'),
          },
          articleTwo: {
            title: '2 Nowe Audi A6 Avant',
            subtitle: '2 Wyposażone w inteligentne technologie Audi AI',
            picture: require('../assets/articles-images/hero-audi-a6-avant.jpg'),
          },
          articleThree: {
            title: '2 Nowe Audi Q8',
            subtitle: '2 Witaj w ósmym wymiarze',
            picture: require('../assets/articles-images/hero-audi-q8.jpg'),
          },
        },
      ],
    };
  },
};
</script>

<style scoped>

</style>
